Microsimulation API

Public Types | Public Member Functions | Private Attributes | List of all members
Table< I0, I1, I2, Outcome > Class Template Reference

`#include <rcpp_table.h>`

Collaboration diagram for Table< I0, I1, I2, Outcome >:
[legend]

## Public Types
typedef boost::tuple< I0, I1, I2 > | key_type
typedef Outcome | mapped_type
typedef boost::tuple< set< I0, greater< I0 > >, set< I1, greater< I1 > >, set< I2, greater< I2 > > > | Axis

## Public Member Functions
| Table ()
void | insert (I0 key0, I1 key1, I2 key2, mapped_type outcome)
virtual Outcome | operator() (I0 i0, I1 i1, I2 i2)
| Table (const DataFrame &df, string s0, string s1, string s2, string s3)

## Private Attributes
Axis | axis
map< key_type, mapped_type > | data

## Detailed Description

### template<class I0, class I1, class I2, class Outcome>
class Table< I0, I1, I2, Outcome >

Definition at line 234 of file rcpp_table.h.

## Member Typedef Documentation

## ◆ Axis

template<class I0 , class I1 , class I2 , class Outcome >

typedef boost::tuple< set<I0, greater<I0> >, set<I1, greater<I1> >, set<I2, greater<I2> > > Table< I0, I1, I2, Outcome >::Axis

Definition at line 242 of file rcpp_table.h.

## ◆ key_type

template<class I0 , class I1 , class I2 , class Outcome >

typedef boost::tuple<I0,I1,I2> Table< I0, I1, I2, Outcome >::key_type

Definition at line 236 of file rcpp_table.h.

## ◆ mapped_type

template<class I0 , class I1 , class I2 , class Outcome >

typedef Outcome Table< I0, I1, I2, Outcome >::mapped_type

Definition at line 237 of file rcpp_table.h.

## Constructor & Destructor Documentation

## ◆ Table() [1/2]

template<class I0 , class I1 , class I2 , class Outcome >

Table< I0, I1, I2, Outcome >::Table | ( |  | ) |
| inline

Definition at line 243 of file rcpp_table.h.

## ◆ Table() [2/2]

template<class I0 , class I1 , class I2 , class Outcome >

Table< I0, I1, I2, Outcome >::Table | ( | const DataFrame & | df,
|  | string | s0,
|  | string | s1,
|  | string | s2,
|  | string | s3
| ) |  |
| inline

Definition at line 256 of file rcpp_table.h.

## Member Function Documentation

## ◆ insert()

template<class I0 , class I1 , class I2 , class Outcome >

void Table< I0, I1, I2, Outcome >::insert | ( | I0 | key0,
|  | I1 | key1,
|  | I2 | key2,
|  | mapped_type | outcome
| ) |  |
| inline

Definition at line 244 of file rcpp_table.h.

## ◆ operator()()

template<class I0 , class I1 , class I2 , class Outcome >

virtual Outcome Table< I0, I1, I2, Outcome >::operator() | ( | I0 | i0,
|  | I1 | i1,
|  | I2 | i2
| ) |  |
| inline virtual

Definition at line 251 of file rcpp_table.h.

## Member Data Documentation

## ◆ axis

template<class I0 , class I1 , class I2 , class Outcome >

Axis Table< I0, I1, I2, Outcome >::axis
| private

Definition at line 266 of file rcpp_table.h.

## ◆ data

template<class I0 , class I1 , class I2 , class Outcome >

map<key_type,mapped_type> Table< I0, I1, I2, Outcome >::data
| private

Definition at line 267 of file rcpp_table.h.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/inst/include/rcpp_table.h